---
updatedAt: 2026-06-29T20:36:51.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Create transaction type

Create a new transaction type. Examples of transaction types include cash-in and cash-out. For the list of transaction types on the Pismo platform, refer to [Standard processing codes](doc:processing-codes-and-transaction-types#standard-processing-codes).

This endpoint generates the [Transaction type created](https://developers.pismo.io/events/docs/transaction-types-creation-1) event.

For information on creating and managing processing codes and transaction types, refer to [Processing codes and transaction types](doc:processing-codes-and-transaction-types) and [Payments configurations](doc:payments-configurations).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "tags": [
    {
      "name": "Transaction types",
      "description": "Endpoints to manage transaction types\n"
    }
  ],
  "info": {
    "title": "Core platform - Transactions",
    "version": "1.0.0",
    "description": "API used to configure transactions domain and get transactions information.",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/transactions-core",
      "description": "Sandbox API server for testing"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "schemas": {
      "TransactionTypeId": {
        "type": "integer",
        "format": "int64",
        "description": "Transaction type ID. Certain IDs are reserved by the platform and cannot be used.",
        "minimum": 1
      },
      "TransactionTypeResult": {
        "required": [
          "transaction_type_id",
          "description",
          "credit",
          "posted_transaction"
        ],
        "type": "object",
        "properties": {
          "transaction_type_id": {
            "$ref": "#/components/schemas/TransactionTypeId"
          },
          "description": {
            "type": "string",
            "description": "Transaction type description",
            "maxLength": 30
          },
          "credit": {
            "type": "boolean",
            "description": "Indicates whether the transaction type is credit (`true`) or debit (`false`)."
          },
          "posted_transaction": {
            "type": "boolean",
            "description": "Indicates whether transactions are posted on statements (`true`) or not (`false`). Set to `false` for zero balance integrations."
          }
        },
        "example": {
          "transaction_type_id": 7001,
          "description": "Payment",
          "credit": true,
          "posted_transaction": true
        }
      },
      "ErrorResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "description": "Error description."
          },
          "error": {
            "type": "string",
            "description": "Error description."
          },
          "code": {
            "type": "string",
            "description": "Code description."
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/v1/transaction-types": {
      "post": {
        "tags": [
          "Transaction types"
        ],
        "summary": "Create transaction type",
        "description": "Create a new transaction type. Examples of transaction types include cash-in and cash-out. For the list of transaction types on the Pismo platform, refer to [Standard processing codes](https://developers.pismo.io/pismo-docs/docs/processing-codes-and-transaction-types#standard-processing-codes).\n\nThis endpoint generates the [Transaction type created](https://developers.pismo.io/events/docs/transaction-types-creation-1) event.\n\nFor information on creating and managing processing codes and transaction types, refer to [Processing codes and transaction types](https://developers.pismo.io/pismo-docs/docs/processing-codes-and-transaction-types) and [Payments configurations](https://developers.pismo.io/pismo-docs/docs/payments-configurations).\n",
        "operationId": "PostSetupTransactionType",
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TransactionTypeResult"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TransactionTypeResult"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "invalidRequestBody": {
                    "summary": "Invalid request body",
                    "value": {
                      "message": "Invalid request body",
                      "error": "Invalid request body",
                      "code": "WTRC00005"
                    }
                  }
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "ttDoesntMatch": {
                    "summary": "Transaction type ID already exists",
                    "value": {
                      "message": "Transaction type ID already exists",
                      "error": "Transaction type ID already exists",
                      "code": "WTRC05001"
                    }
                  },
                  "ttReservedByPlatform": {
                    "summary": "Transaction type ID is reserved by platform",
                    "value": {
                      "message": "The provided transaction_type_id is reserved by the platform and cannot be used",
                      "error": "The provided transaction_type_id is reserved by the platform and cannot be used",
                      "code": "WTRC08001"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal error",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ErrorResponse"
                    }
                  ]
                },
                "examples": {
                  "internalProcessingError": {
                    "summary": "Internal processing error",
                    "value": {
                      "message": "Internal processing error",
                      "error": "Internal processing error",
                      "code": "ETRC00001"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```